%define		packname	affyPLM

Summary:	Methods for fitting probe-level models
Name:		R-%{packname}
Version:	1.38.0
Release:	4
License:	LGPL v2+
Group:		Applications/Engineering
Source0:	http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
# Source0-md5:	bffb6a94e493311a4cb0f9cc53b696e0
Patch0:		bogus-deps.patch
URL:		http://bioconductor.org/packages/release/bioc/html/affyPLM.html
BuildRequires:	R
BuildRequires:	R-Biobase
BuildRequires:	R-BiocGenerics
BuildRequires:	R-Biostrings-devel
BuildRequires:	R-affy
BuildRequires:	R-preprocessCore-devel
BuildRequires:	R-gcrma
BuildRequires:	texlive-latex
Requires:	R
Requires:	R-Biobase
Requires:	R-BiocGenerics
Requires:	R-Biostrings
Requires:	R-affy
Requires:	R-preprocessCore
Suggests:	R-gcrma
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A package that extends and improves the functionality of the base affy
package. Routines that make heavy use of compiled code for speed.
Central focus is on implementation of methods for fitting probe-level
models and tools using these models. PLM based quality assessment
tools.

%prep
%setup -q -c -n %{packname}
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/R/library

R CMD INSTALL %{packname} -l $RPM_BUILD_ROOT%{_libdir}/R/library

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/CITATION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%dir %{_libdir}/R/library/%{packname}/libs
%attr(755,root,root) %{_libdir}/R/library/%{packname}/libs/affyPLM.so
%changelog
* Sat May 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/R-affyPLM.git;a=log;h=auto/th/R-affyPLM-1.38.0-4

* Sat May 27 2017 Jan Rękorajski <baggins@pld-linux.org> 9c4edec
- x32 rebuild
- release 4 (by relup.sh)

* Sat May 27 2017 Jan Rękorajski <baggins@pld-linux.org> 0b26d19
- fix deps
- rel 3

* Thu May 25 2017 Jan Rękorajski <baggins@pld-linux.org> 9b2bdbe
- rebuild with lapack 3.7
- release 2 (by relup.sh)

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 163d538
- up to 1.38.0

* Thu Oct 18 2012 Jan Rękorajski <baggins@pld-linux.org> 82e87ec
- new

